commit bf4e3d97243db6c55bb0a928183e731ae381735e
Author: jklowden <jklowden>
Date:   Mon Apr 5 18:45:42 2010 +0000

    Support TEXT datatype with any field terminator

diff --git a/ChangeLog b/ChangeLog
index fc5cbea..2940741 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Mon Apr  5 14:44:11 EDT 2010	JK Lowden <jklowden@freetds.org>
+	* src/apps/bsqldb.c Support TEXT datatype with any field terminator
+
 Sat Apr  3 06:57:18 EDT 2010	JK Lowden <jklowden@freetds.org>
 	* src/apps/bsqldb.c Support TEXT datatype
 
@@ -2368,4 +2371,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3001 2010/04/03 12:36:45 jklowden Exp $
+$Id: ChangeLog,v 1.3002 2010/04/05 18:45:42 jklowden Exp $
diff --git a/src/apps/bsqldb.c b/src/apps/bsqldb.c
index 816ee02..dc84425 100644
--- a/src/apps/bsqldb.c
+++ b/src/apps/bsqldb.c
@@ -49,7 +49,7 @@
 #include <sybdb.h>
 #include "replacements.h"
 
-static char software_version[] = "$Id: bsqldb.c,v 1.39 2010/04/03 12:36:45 jklowden Exp $";
+static char software_version[] = "$Id: bsqldb.c,v 1.40 2010/04/05 18:45:44 jklowden Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #ifdef _WIN32
@@ -720,30 +720,29 @@ get_printable_size(int type, int size)	/* adapted from src/dblib/dblib.c */
 static int
 set_format_string(struct METADATA * meta, const char separator[])
 {
-	int width, ret;
+	int width;
 	const char *size_and_width;
 	assert(meta);
 
-	if(0 == strcmp(options.colsep, default_colsep)) { 
-		if ((width = get_printable_size(meta->type, meta->size)) == INT_MAX) {
-			/* TEXT/IMAGE: no attempt to format the column; just splat the data */
-			meta->format_string = strdup(separator);
-			return strlen(meta->format_string);
-		}
-			
-		if (width < strlen(meta->name))
-			width = strlen(meta->name);
+	if ((width = get_printable_size(meta->type, meta->size)) == INT_MAX) {
+		/* TEXT/IMAGE: no attempt to format the column; just splat the data */
+		meta->format_string = strdup(separator);
+		return strlen(meta->format_string);
+	}
 
-		/* right justify numbers, left justify strings */
-		size_and_width = is_character_data(meta->type)? "%%-%d.%ds%s" : "%%%d.%ds%s";
-		
-		ret = asprintf(&meta->format_string, size_and_width, width, width, separator);
-	} else {
-		/* For anything except the default two-space separator, don't justify the strings. */
-		ret = asprintf(&meta->format_string, "%%s%s", separator);
+	/* For anything except the default two-space separator, don't justify the strings. */
+	if(0 != strcmp(options.colsep, default_colsep)) { 
+		return asprintf(&meta->format_string, "%%s%s", separator);
 	}
-		       
-	return ret;
+		
+	/* Set the printing width large enough for the data or its title, whichever is greater. */
+	if (width < strlen(meta->name))
+		width = strlen(meta->name);
+
+	/* right justify numbers, left justify strings */
+	size_and_width = is_character_data(meta->type)? "%%-%d.%ds%s" : "%%%d.%ds%s";
+
+	return asprintf(&meta->format_string, size_and_width, width, width, separator);
 }
 
 static void

